# Obtain File System Mount Point Information - DescribeUFSVolumeMountpoint

## Overview

Obtain File System Mount Point Information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUFSVolumeMountpoint`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **VolumeId** | string | File System ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*MountPointInfo*](#mountpointinfo)] | Mount Point Data |**Yes**|
| **TotalMountPointNum** | int | Current total number of mount points |**Yes**|
| **MaxMountPointNum** | int | The maximum number of mount points that the file system can create |**Yes**|

#### Data Model


#### MountPointInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **MountPointName** | string | Mount Point Name |**Yes**|
| **VpcId** | string | VPC ID |**Yes**|
| **SubnetId** | string | Subnet ID |**Yes**|
| **MountPointIp** | string | ${Mount Point IP}:/ |**Yes**|
| **CreateTime** | int | File system creation time (unix timestamp) |**Yes**|
| **SubnetDescription** | string | Subnet ID + format of the network segment, convenient for frontend display |**Yes**|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=DescribeUFSVolumeMountpoint
&Region=cn-zj
&ProjectId=cNJXzsgS
&VolumeId=cfsdTuuj
&Zone=cn-zj-01
```

### Response Example
    
```json
{
  "Action": "DescribeUFSVolumeMountpointResponse",
  "DataSet": [
    "AopLxaqW",
    "PlCXJhDX",
    "ZFZBvcNu",
    "mrOkMEgd"
  ],
  "MaxMountPointNum": 3,
  "RetCode": 0,
  "TotalMountPointNum": 9
}
```





